io.vertx.rxjava.core.eventbus

## Class SendContext<T>

- java.lang.Object
- - io.vertx.rxjava.core.eventbus.SendContext<T>

-     public class SendContext<T>
      extends Object

  Encapsulates a message being sent from Vert.x. Used with event bus interceptors

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<SendContext>` | `__TYPE_ARG`
    `TypeArg<T>` | `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SendContext(SendContext delegate)`
    `SendContext(SendContext delegate, TypeArg<T> typeArg_0)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SendContext` | `getDelegate()`
    `Message<T>` | `message()`
    `static <T> SendContext` | `newInstance(SendContext arg)`
    `static <T> SendContext` | `newInstance(SendContext arg, TypeArg<T> __typeArg_T)`
    `void` | `next()` Call the next interceptor
    `boolean` | `send()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<SendContext> __TYPE_ARG

    - #### __typeArg_0

          public final TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### SendContext

          public SendContext(SendContext delegate)

    - #### SendContext

          public SendContext(SendContext delegate,
                             TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### getDelegate

          public SendContext getDelegate()

    - #### message

          public Message<T> message()

      Returns:
        The message being sent

    - #### next

          public void next()

      Call the next interceptor

    - #### send

          public boolean send()

      Returns:
        true if the message is being sent (point to point) or False if the message is being published

    - #### newInstance

          public static <T> SendContext newInstance(SendContext arg)

    - #### newInstance

          public static <T> SendContext newInstance(SendContext arg,
                                                    TypeArg<T> __typeArg_T)

Copyright © 2017. All rights reserved.